Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
PUTPCI Device OperationsSince 2.1SynchronousAuth Required

UpdateHostIommuState

UpdateHostIommuState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatehostiommustateObjectRequired

    updatehostiommustate request body object.

    • stateStringRequired

      当前状态。

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • stateHostIommuStateTypeRequired

    See state.

    • HostIommuStateStringRequired

      The host IOMMU state, including: Enabled Disabled

Endpoint

PUT/zstack/v1/pci-device/hosts/{uuid}/actions

/zstack/v1/pci-device/hosts/{uuid}/actions

Operation ID

UpdateHostIommuState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/pci-device/hosts/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatehostiommustate":{"state":"<state>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "state": "Enabled" }

Change History

This API has no change history records yet.

View all change history